work around the glibc-2.19 causing a failed test

This commit is contained in:
Vincent Batts 2014-05-06 16:50:32 -04:00
parent 76f08f5dd7
commit d931512370
2 changed files with 23 additions and 3 deletions

View File

@ -0,0 +1,13 @@
Index: go/src/run.bash
===================================================================
--- go.orig/src/run.bash
+++ go/src/run.bash
@@ -105,7 +105,7 @@ go run $GOROOT/test/run.go - . || exit 1
(xcd ../misc/cgo/test
go test -ldflags '-linkmode=auto' || exit 1
# linkmode=internal fails on dragonfly since errno is a TLS relocation.
-[ "$GOHOSTOS" == dragonfly ] || go test -ldflags '-linkmode=internal' || exit 1
+#[ "$GOHOSTOS" == dragonfly ] || go test -ldflags '-linkmode=internal' || exit 1
case "$GOHOSTOS-$GOARCH" in
openbsd-386 | openbsd-amd64)
# test linkmode=external, but __thread not supported, so skip testtls.

View File

@ -82,11 +82,15 @@ Patch2: ./golang-1.2-skipCpuProfileTest.patch
# https://code.google.com/p/go/source/detail?r=a15f344a9efa
Patch3: golang-1.2-archive_tar-xattr.patch
# skip test that causes a SIGABRT on fc21
# skip test that causes a SIGABRT on fc21 (bz1086900)
# until this test/issue is fixed
# https://bugzilla.redhat.com/show_bug.cgi?id=1086900
Patch5: golang-1.2.1-disable_testsetgid.patch
# skip this test, which fails in i686 on fc21 inside mock/chroot (bz1087621)
# https://bugzilla.redhat.com/show_bug.cgi?id=1087621
Patch6: golang-1.2.1-i686-cgo-test-failure.patch
# Having documentation separate was broken
Obsoletes: %{name}-docs < 1.1-4
@ -378,6 +382,9 @@ cp %SOURCE400 src/pkg/archive/tar/testdata/xattrs.tar
# SIGABRT bz1086900
%patch5 -p1
# cgo/test bz1087621
%patch6 -p1
# create a [dirty] gcc wrapper to allow us to build with our own flags
# (dirty because it is spoofing 'gcc' since CC value is stored in the go tool)
# TODO: remove this and just set CFLAGS/LDFLAGS once upstream supports it
@ -786,10 +793,10 @@ fi
%changelog
* Fri Apr 10 2014 Vincent Batts <vbatts@redhat.com> 1.2.1-5
* Fri Apr 11 2014 Vincent Batts <vbatts@redhat.com> 1.2.1-5
- skip test that is causing a SIGABRT on fc21 bz1086900
* Thu Apr 09 2014 Vincent Batts <vbatts@fedoraproject.org> 1.2.1-4
* Thu Apr 10 2014 Vincent Batts <vbatts@fedoraproject.org> 1.2.1-4
- fixing file and directory ownership bz1010713
* Wed Apr 09 2014 Vincent Batts <vbatts@fedoraproject.org> 1.2.1-3